SAP Knowledge Base Article - Public

2792767 - OData V3 is not supported by SAP Analytics Cloud (SAC)

Symptom

  • The error "Service responded with an unsupported data service version: 3.0" when creating a model using an OData connection
  • The OData Service is V3.

Environment

  • SAP Analytics Cloud 2019

Reproducing the Issue

  1. Create an OData connection.
  2. Create a model based on this connection

Cause

SAC supports OData V2 and V4 and doesn't support OData V3 for now. In addition, OData is not backwards compatible.

Resolution

Please create an Enhancement Request with the business requirements of this function following KBA 2424376 - How to create an enhancement request for SAP Analytics Cloud?

See Also

Your feedback is important to help us improve our knowledge base.

Keywords

SAP Cloud for Planning, sc4p, c4p, cforp, cloudforplanning, EPM-ODS, Cloud for Analytics, Cloud4Analytics, CloudforAnalytics, Cloud 4 Planning, BOC, SAPBusinessObjectsCloud, BusinessObjectsCloud, BOBJcloud, BOCloud., SAC, SAP AC, Cloud-Analytics, CloudAnalytics, SAPCloudAnalytics , KBA , LOD-ANA , SAP Analytics Cloud , LOD-ANA-BI , SAP Analytics Cloud - Business Intelligence (BOC) , LOD-ANA-BR , SAP Analytics Cloud - Digital Boardroom , LOD-ANA-PL , SAP Analytics Cloud – Planning (BOC) , LOD-ANA-PR , SAP Analytics Cloud – Predictive (BOC) , Problem

Product

SAP Analytics Cloud 1.0